SDL_HINT_APPLE_TV_CONTROLLER_UI_EVENTS(3)

NAME
SDL_HINT_APPLE_TV_CONTROLLER_UI_EVENTS - A variable controlling whether controllers used with the Apple TV generate UI events.

HEADER FILE
Defined in SDL3/SDL_hints.h

SYNOPSIS
#include "SDL3/SDL.h"

#define SDL_HINT_APPLE_TV_CONTROLLER_UI_EVENTS SDL_APPLE_TV_CONTROLLER_UI_EVENTS"

DESCRIPTION
When UI events are generated by controller input, the app will be backgrounded when the Apple TV remote's menu button is pressed, and when the pause or B buttons on gamepads are pressed. More information about properly making use of controllers for the Apple TV can be found here: https://developer.apple.com/tvos/human-interface-guidelines/remote-and-controllers/ The variable can be set to the following values: • "0": Controller input does not generate UI events. (default) • "1": Controller input generates UI events. This hint can be set anytime.

AVAILABILITY
This hint is available since SDL 3.0.0.